# class Gem::Package::TarWriter::RestrictedStream

`IO` wrapper that provides only `write`

### Public Class Methods

new(io) click to toggle source

Creates a new `RestrictedStream` wrapping `io`

    # File lib/rubygems/package/tar_writer.rb, line 58
    def initialize(io)
      @io = io
    end

### Public Instance Methods

write(data) click to toggle source

Writes `data` onto the `IO`

    # File lib/rubygems/package/tar_writer.rb, line 65
    def write(data)
      @io.write data
    end